require linux.inc
require linux-${MACHINE}-3.8.inc

PV = "3.8.8"
PR = "r1"

FILESPATH =. "${FILE_DIRNAME}/linux-3.8:${FILE_DIRNAME}/linux-3.8/${MACHINE}:"

S = "${WORKDIR}/linux-${PV}"

SRC_URI = " \
	${KERNELORG_MIRROR}/linux/kernel/v3.x/linux-${PV}.tar.bz2 \
	file://defconfig \
	"

SRC_URI[md5sum] = "1e2635a17cfd20528469603ec57bc4f8"
SRC_URI[sha256sum] = "1d10471d49d969dda9e26bc41be68160695bb4161526dc9ce96e495450bcafa1"

COMPATIBLE_MACHINE = "ethernut5|ompax"
