DESCRIPTION = "Power management for Ethernut5"

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://ethernut5_pwrman.c;endline=22;md5=6e203e716c42a9de2c052c474d8c84cf"

DEPENDS = "i2c-tools"

SRC_URI = "file://ethernut5_pwrman.c \
	file://ethernut5_pwrman.h"

S = "${WORKDIR}"

PR = "r1"

do_compile() {
	$CC $CFLAGS $LDFLAGS ethernut5_pwrman.c -o pwrman
}

do_install() {
	install -d  ${D}/usr/bin/
	install -m 0755 ${S}/pwrman ${D}${bindir}/
}

FILES_${PN} += "/usr/bin/pwrman"
PACKAGE_ARCH = "all"


