require recipes-bsp/u-boot/u-boot.inc

# To build u-boot for your machine, provide the following lines in your machine
# config, replacing the assignments as appropriate for your machine.
# UBOOT_MACHINE = "omap3_beagle_config"
# UBOOT_ENTRYPOINT = "0x80008000"
# UBOOT_LOADADDRESS = "0x80008000"
LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://COPYING;md5=1707d6db1d42237583f50183a5651ecb \
                    file://README;beginline=1;endline=22;md5=78b195c11cb6ef63e6985140db7d7bab"

PV = "2012.04.01"

require build-env-image.inc

DEFAULT_PREFERENCE = "-1"

DEFAULT_PREFERENCE_ethernut5 = "34"

PR = "r1"

SRC_URI = "ftp://ftp.denx.de/pub/u-boot/u-boot-${PV}.tar.bz2"

SRC_URI_append_ethernut5 = "\
	   file://u-boot-2012.04-ethernut5-partitions.patch;apply=yes \
	   file://u-boot-2012.04-ethernut5-nand.patch;apply=yes \
	   file://u-boot-2012.04-ethernut5-fdt.patch;apply=yes \
	   file://env-ethernut5.txt \
           "

SRC_URI[md5sum] = "192bb231082d9159fb6e16de3039b6b2"
SRC_URI[sha256sum] = "db44041d39d9c31567babc3be85143b6acff45ff6f3693abf7e973bdc3dd95b0"

COMPATIBLE_MACHINE = "ethernut5"
