require recipes-bsp/u-boot/u-boot.inc

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://COPYING;md5=1707d6db1d42237583f50183a5651ecb \
                    file://README;beginline=1;endline=22;md5=78b195c11cb6ef63e6985140db7d7bab"
PV = "2012.10"

require build-env-image.inc

DEFAULT_PREFERENCE = "-1"

DEFAULT_PREFERENCE_ompax = "1"

PR = "r1"

SRC_URI = "ftp://ftp.denx.de/pub/u-boot/u-boot-${PV}.tar.bz2"

SRC_URI_append_ompax = "\
	   file://u-boot-ompax.patch;apply=yes \
	   file://env-${MACHINE}.txt \
           "

SRC_URI[md5sum] = "8655f63b1e5c4647295ac9ce44660be3"
SRC_URI[sha256sum] = "dddec75070b5faa5df463085e3e1d27c6d058ec3481c666917baa961956d4d17"

COMPATIBLE_MACHINE = "ompax"
