require recipes-kernel/linux/linux.inc
require linux-ethernut5-3.7.1.inc

PV = "3.7.1"
PR = "r1"

S = "${WORKDIR}/linux-${PV}"

SRC_URI = " \
	${KERNELORG_MIRROR}/linux/kernel/v3.x/linux-${PV}.tar.bz2 \
	file://defconfig \
	file://kernel_fdt.its \
	file://ethernut5/linux-${PV}-micron-nand.patch;apply=yes \
	file://ethernut5/linux-${PV}-atmel-mci-1.patch;apply=yes \
	file://ethernut5/linux-${PV}-atmel-mci.patch;apply=yes \
	"

COMPATIBLE_MACHINE = "ethernut5"
